[DRAFT] Apache Flex SDK Installer 3.3.0 Released

classic Classic list List threaded Threaded
34 messages Options
12
Reply | Threaded
Open this post in threaded view
|

[DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Hi,

I will send that announce once we release SDK 4.16.1. Please take a look
into the VOTE!

----------- start draft announcement ---------
The Apache Flex community is pleased to announce the release of Apache Flex
SDK Installer 3.3.0

Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
2.2.

It provides the ability to install other SDKs like the FlexJS SDK.

This update provide fix for out of memory exception when user download
Apache Flex SDK with Adobe Air greater than 23 on Windows platform.

Apache Flex SDK Installer is available in source and executables form from
the following download page:
http://flex.apache.org/installer.html

When downloading from a mirror site, please remember to verify the
downloads using signatures or MD5 hashes.

For more information on Apache Flex, visit the project home page:
http://flex.apache.org

Thank you for using Apache Flex,
The Apache Flex Community

----------- end draft announcement ---------

Thanks,
--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Lydecker
Hi,

Thanks for putting in the work on the new installer.

Unfortunately it does not work on Windows. It fails as it tries to mount a
DMG (which is obviously mac only). Here is the failed log file from a
Windows machine:


Installer version 3.3.0 (windows)
Using Locale: en_GB
Fetched the SDK download mirror URL from the CGI.
SDK version Apache Flex SDK 4.16.0
AIR version 27.0
Flash Player version 27.0
Creating Apache Flex home
Creating temporary directory
Downloading Apache Flex SDK from:
http://apache.mirror.anlx.net/flex/4.16.0/binaries/apache-flex-sdk-4.16.0-bin.zip
Verifying Apache Flex SDK MD5 Signature
The Apache Flex SDK MD5 Signature of the downloaded files matches the
reference. The file is valid.
Unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
Finished unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
Downloading Adobe AIR Runtime Kit for Windows from:
http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
Validating download: C:\flex/in/AdobeAIRSDK.zip
Finished unzipping: C:\flex/in/AdobeAIRSDK.zip
Should unzip: ${shouldUnzip}
Mounting dmg
Exec task failed: /usr/bin/hdiutil
Aborting Installation:
http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex
SDK
4.16.0&version=4.16.0&os=windows&installerversion=3.3.0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil




--
Sent from: http://apache-flex-development.2333347.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Hi Zach,

Unfortunately during work on that issue I have found that we have also
issue into the part related to Installer in Flex SDK itself. I have fixed
it. In order to test it or try you have to use Nightly Build of SDK or try
to download Release Candidate 2 of SDK.

Right click on the list of the sdk in the installer and choose "Show Dev
Builds" -> "Apache Flex SDK 4.16.1 RC2". We are in the process of releasing
this version. Let me know if it's work for you.

Thanks, Piotr


2017-11-18 15:27 GMT+01:00 Lydecker <[hidden email]>:

> Hi,
>
> Thanks for putting in the work on the new installer.
>
> Unfortunately it does not work on Windows. It fails as it tries to mount a
> DMG (which is obviously mac only). Here is the failed log file from a
> Windows machine:
>
>
> Installer version 3.3.0 (windows)
> Using Locale: en_GB
> Fetched the SDK download mirror URL from the CGI.
> SDK version Apache Flex SDK 4.16.0
> AIR version 27.0
> Flash Player version 27.0
> Creating Apache Flex home
> Creating temporary directory
> Downloading Apache Flex SDK from:
> http://apache.mirror.anlx.net/flex/4.16.0/binaries/apache-
> flex-sdk-4.16.0-bin.zip
> Verifying Apache Flex SDK MD5 Signature
> The Apache Flex SDK MD5 Signature of the downloaded files matches the
> reference. The file is valid.
> Unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> Finished unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> Downloading Adobe AIR Runtime Kit for Windows from:
> http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
> Validating download: C:\flex/in/AdobeAIRSDK.zip
> Finished unzipping: C:\flex/in/AdobeAIRSDK.zip
> Should unzip: ${shouldUnzip}
> Mounting dmg
> Exec task failed: /usr/bin/hdiutil
> Aborting Installation:
> http://flex.apache.org/track-installer.html?failure=true&label=Apache Flex
> SDK
> 4.16.0&version=4.16.0&os=windows&installerversion=3.3.
> 0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil
>
>
>
>
> --
> Sent from: http://apache-flex-development.2333347.n4.nabble.com/
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Alex Harui-2
In reply to this post by piotrz
Hi Piotr,

The draft looks ok to me.  There is a "2.2" that should be "3.2".  I'd be
tempted to remove references to FlexJS from the announcement, but I'm fine
if you want to keep it.

Thanks,
-Alex

On 11/17/17, 7:36 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Hi,
>
>I will send that announce once we release SDK 4.16.1. Please take a look
>into the VOTE!
>
>----------- start draft announcement ---------
>The Apache Flex community is pleased to announce the release of Apache
>Flex
>SDK Installer 3.3.0
>
>Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
>2.2.
>
>It provides the ability to install other SDKs like the FlexJS SDK.
>
>This update provide fix for out of memory exception when user download
>Apache Flex SDK with Adobe Air greater than 23 on Windows platform.
>
>Apache Flex SDK Installer is available in source and executables form from
>the following download page:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apach
>e.org%2Finstaller.html&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0feba%
>7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=AKyu
>CY6mUVRbmOw82g6vn5reJvZmZIlHbBiQx3mL%2B4w%3D&reserved=0
>
>When downloading from a mirror site, please remember to verify the
>downloads using signatures or MD5 hashes.
>
>For more information on Apache Flex, visit the project home page:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apach
>e.org&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0feba%7Cfa7b1b5a7b34438
>794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=%2BcPwmanja7pW6iwsBnl
>F1G8M%2BNJceuysHn6YEGZ33nE%3D&reserved=0
>
>Thank you for using Apache Flex,
>The Apache Flex Community
>
>----------- end draft announcement ---------
>
>Thanks,
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0feba
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=alo
>KGinsE7cEY6egijzZUXvZdUAKSZSWDpMGGu1uPeA%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0feba
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=alo
>KGinsE7cEY6egijzZUXvZdUAKSZSWDpMGGu1uPeA%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Hi Alex,

I will remove from Draft FlexJS.

Thanks, Piotr

2017-11-19 8:14 GMT+01:00 Alex Harui <[hidden email]>:

> Hi Piotr,
>
> The draft looks ok to me.  There is a "2.2" that should be "3.2".  I'd be
> tempted to remove references to FlexJS from the announcement, but I'm fine
> if you want to keep it.
>
> Thanks,
> -Alex
>
> On 11/17/17, 7:36 AM, "Piotr Zarzycki" <[hidden email]> wrote:
>
> >Hi,
> >
> >I will send that announce once we release SDK 4.16.1. Please take a look
> >into the VOTE!
> >
> >----------- start draft announcement ---------
> >The Apache Flex community is pleased to announce the release of Apache
> >Flex
> >SDK Installer 3.3.0
> >
> >Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> >2.2.
> >
> >It provides the ability to install other SDKs like the FlexJS SDK.
> >
> >This update provide fix for out of memory exception when user download
> >Apache Flex SDK with Adobe Air greater than 23 on Windows platform.
> >
> >Apache Flex SDK Installer is available in source and executables form from
> >the following download page:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fflex.apach
> >e.org%2Finstaller.html&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0
> feba%
> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=
> AKyu
> >CY6mUVRbmOw82g6vn5reJvZmZIlHbBiQx3mL%2B4w%3D&reserved=0
> >
> >When downloading from a mirror site, please remember to verify the
> >downloads using signatures or MD5 hashes.
> >
> >For more information on Apache Flex, visit the project home page:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fflex.apach
> >e.org&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0
> feba%7Cfa7b1b5a7b34438
> >794aed2c178decee1%7C0%7C0%7C636465298000360580&sdata=%
> 2BcPwmanja7pW6iwsBnl
> >F1G8M%2BNJceuysHn6YEGZ33nE%3D&reserved=0
> >
> >Thank you for using Apache Flex,
> >The Apache Flex Community
> >
> >----------- end draft announcement ---------
> >
> >Thanks,
> >--
> >
> >Piotr Zarzycki
> >
> >Patreon:
> >*https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fwww.patr
> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0
> feba
> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%
> 7C636465298000360580&sdata=alo
> >KGinsE7cEY6egijzZUXvZdUAKSZSWDpMGGu1uPeA%3D&reserved=0
> ><https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fwww.patr
> >eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C50d641faa8524e4a925c08d52dd0
> feba
> >%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%
> 7C636465298000360580&sdata=alo
> >KGinsE7cEY6egijzZUXvZdUAKSZSWDpMGGu1uPeA%3D&reserved=0>*
>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

OmPrakash Muppirala
In reply to this post by piotrz
Piotr,

I can confirm that Installer 3.3 can successfully download the Flex SDK
4.16.1 with Air 27.
This is on Windows 10.

Great job!!

Thanks,
Om

On Sat, Nov 18, 2017 at 6:32 AM, Piotr Zarzycki <[hidden email]>
wrote:

> Hi Zach,
>
> Unfortunately during work on that issue I have found that we have also
> issue into the part related to Installer in Flex SDK itself. I have fixed
> it. In order to test it or try you have to use Nightly Build of SDK or try
> to download Release Candidate 2 of SDK.
>
> Right click on the list of the sdk in the installer and choose "Show Dev
> Builds" -> "Apache Flex SDK 4.16.1 RC2". We are in the process of releasing
> this version. Let me know if it's work for you.
>
> Thanks, Piotr
>
>
> 2017-11-18 15:27 GMT+01:00 Lydecker <[hidden email]>:
>
> > Hi,
> >
> > Thanks for putting in the work on the new installer.
> >
> > Unfortunately it does not work on Windows. It fails as it tries to mount
> a
> > DMG (which is obviously mac only). Here is the failed log file from a
> > Windows machine:
> >
> >
> > Installer version 3.3.0 (windows)
> > Using Locale: en_GB
> > Fetched the SDK download mirror URL from the CGI.
> > SDK version Apache Flex SDK 4.16.0
> > AIR version 27.0
> > Flash Player version 27.0
> > Creating Apache Flex home
> > Creating temporary directory
> > Downloading Apache Flex SDK from:
> > http://apache.mirror.anlx.net/flex/4.16.0/binaries/apache-
> > flex-sdk-4.16.0-bin.zip
> > Verifying Apache Flex SDK MD5 Signature
> > The Apache Flex SDK MD5 Signature of the downloaded files matches the
> > reference. The file is valid.
> > Unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> > Finished unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> > Downloading Adobe AIR Runtime Kit for Windows from:
> > http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
> > Validating download: C:\flex/in/AdobeAIRSDK.zip
> > Finished unzipping: C:\flex/in/AdobeAIRSDK.zip
> > Should unzip: ${shouldUnzip}
> > Mounting dmg
> > Exec task failed: /usr/bin/hdiutil
> > Aborting Installation:
> > http://flex.apache.org/track-installer.html?failure=true&label=Apache
> Flex
> > SDK
> > 4.16.0&version=4.16.0&os=windows&installerversion=3.3.
> > 0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil
> >
> >
> >
> >
> > --
> > Sent from: http://apache-flex-development.2333347.n4.nabble.com/
> >
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Sweet Om! :)

Thank you for try out! :)
Piotr

2017-11-19 20:59 GMT+01:00 OmPrakash Muppirala <[hidden email]>:

> Piotr,
>
> I can confirm that Installer 3.3 can successfully download the Flex SDK
> 4.16.1 with Air 27.
> This is on Windows 10.
>
> Great job!!
>
> Thanks,
> Om
>
> On Sat, Nov 18, 2017 at 6:32 AM, Piotr Zarzycki <[hidden email]
> >
> wrote:
>
> > Hi Zach,
> >
> > Unfortunately during work on that issue I have found that we have also
> > issue into the part related to Installer in Flex SDK itself. I have fixed
> > it. In order to test it or try you have to use Nightly Build of SDK or
> try
> > to download Release Candidate 2 of SDK.
> >
> > Right click on the list of the sdk in the installer and choose "Show Dev
> > Builds" -> "Apache Flex SDK 4.16.1 RC2". We are in the process of
> releasing
> > this version. Let me know if it's work for you.
> >
> > Thanks, Piotr
> >
> >
> > 2017-11-18 15:27 GMT+01:00 Lydecker <[hidden email]>:
> >
> > > Hi,
> > >
> > > Thanks for putting in the work on the new installer.
> > >
> > > Unfortunately it does not work on Windows. It fails as it tries to
> mount
> > a
> > > DMG (which is obviously mac only). Here is the failed log file from a
> > > Windows machine:
> > >
> > >
> > > Installer version 3.3.0 (windows)
> > > Using Locale: en_GB
> > > Fetched the SDK download mirror URL from the CGI.
> > > SDK version Apache Flex SDK 4.16.0
> > > AIR version 27.0
> > > Flash Player version 27.0
> > > Creating Apache Flex home
> > > Creating temporary directory
> > > Downloading Apache Flex SDK from:
> > > http://apache.mirror.anlx.net/flex/4.16.0/binaries/apache-
> > > flex-sdk-4.16.0-bin.zip
> > > Verifying Apache Flex SDK MD5 Signature
> > > The Apache Flex SDK MD5 Signature of the downloaded files matches the
> > > reference. The file is valid.
> > > Unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> > > Finished unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
> > > Downloading Adobe AIR Runtime Kit for Windows from:
> > > http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
> > > Validating download: C:\flex/in/AdobeAIRSDK.zip
> > > Finished unzipping: C:\flex/in/AdobeAIRSDK.zip
> > > Should unzip: ${shouldUnzip}
> > > Mounting dmg
> > > Exec task failed: /usr/bin/hdiutil
> > > Aborting Installation:
> > > http://flex.apache.org/track-installer.html?failure=true&label=Apache
> > Flex
> > > SDK
> > > 4.16.0&version=4.16.0&os=windows&installerversion=3.3.
> > > 0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil
> > >
> > >
> > >
> > >
> > > --
> > > Sent from: http://apache-flex-development.2333347.n4.nabble.com/
> > >
> >
> >
> >
> > --
> >
> > Piotr Zarzycki
> >
> > Patreon: *https://www.patreon.com/piotrzarzycki
> > <https://www.patreon.com/piotrzarzycki>*
> >
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
New version of draft. Please review. I have removed FlexJS mention and add
Known Issue.

----------- start draft announcement ---------
The Apache Flex community is pleased to announce the release of Apache Flex
SDK Installer 3.3.0

Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
2.2.

This update provide fix for out of memory exception when user download
Apache Flex SDK with Adobe Air greater than 23 on Windows platform.

Known Issue:
On Windows platform user need to uninstall previous version of installer,
before install the newest one.

Apache Flex SDK Installer is available in source and executables form from
the following download page:
http://flex.apache.org/installer.html

When downloading from a mirror site, please remember to verify the
downloads using signatures or MD5 hashes.

For more information on Apache Flex, visit the project home page:
http://flex.apache.org

Thank you for using Apache Flex,
The Apache Flex Community

----------- end draft announcement ---------

Thanks, Piotr


2017-11-19 21:01 GMT+01:00 Piotr Zarzycki <[hidden email]>:

> Sweet Om! :)
>
> Thank you for try out! :)
> Piotr
>
> 2017-11-19 20:59 GMT+01:00 OmPrakash Muppirala <[hidden email]>:
>
>> Piotr,
>>
>> I can confirm that Installer 3.3 can successfully download the Flex SDK
>> 4.16.1 with Air 27.
>> This is on Windows 10.
>>
>> Great job!!
>>
>> Thanks,
>> Om
>>
>> On Sat, Nov 18, 2017 at 6:32 AM, Piotr Zarzycki <
>> [hidden email]>
>> wrote:
>>
>> > Hi Zach,
>> >
>> > Unfortunately during work on that issue I have found that we have also
>> > issue into the part related to Installer in Flex SDK itself. I have
>> fixed
>> > it. In order to test it or try you have to use Nightly Build of SDK or
>> try
>> > to download Release Candidate 2 of SDK.
>> >
>> > Right click on the list of the sdk in the installer and choose "Show Dev
>> > Builds" -> "Apache Flex SDK 4.16.1 RC2". We are in the process of
>> releasing
>> > this version. Let me know if it's work for you.
>> >
>> > Thanks, Piotr
>> >
>> >
>> > 2017-11-18 15:27 GMT+01:00 Lydecker <[hidden email]>:
>> >
>> > > Hi,
>> > >
>> > > Thanks for putting in the work on the new installer.
>> > >
>> > > Unfortunately it does not work on Windows. It fails as it tries to
>> mount
>> > a
>> > > DMG (which is obviously mac only). Here is the failed log file from a
>> > > Windows machine:
>> > >
>> > >
>> > > Installer version 3.3.0 (windows)
>> > > Using Locale: en_GB
>> > > Fetched the SDK download mirror URL from the CGI.
>> > > SDK version Apache Flex SDK 4.16.0
>> > > AIR version 27.0
>> > > Flash Player version 27.0
>> > > Creating Apache Flex home
>> > > Creating temporary directory
>> > > Downloading Apache Flex SDK from:
>> > > http://apache.mirror.anlx.net/flex/4.16.0/binaries/apache-
>> > > flex-sdk-4.16.0-bin.zip
>> > > Verifying Apache Flex SDK MD5 Signature
>> > > The Apache Flex SDK MD5 Signature of the downloaded files matches the
>> > > reference. The file is valid.
>> > > Unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
>> > > Finished unzipping: C:\flex\temp\apache-flex-sdk-4.16.0-bin.zip
>> > > Downloading Adobe AIR Runtime Kit for Windows from:
>> > > http://airdownload.adobe.com/air/win/download/27.0//AdobeAIRSDK.zip
>> > > Validating download: C:\flex/in/AdobeAIRSDK.zip
>> > > Finished unzipping: C:\flex/in/AdobeAIRSDK.zip
>> > > Should unzip: ${shouldUnzip}
>> > > Mounting dmg
>> > > Exec task failed: /usr/bin/hdiutil
>> > > Aborting Installation:
>> > > http://flex.apache.org/track-installer.html?failure=true&label=Apache
>> > Flex
>> > > SDK
>> > > 4.16.0&version=4.16.0&os=windows&installerversion=3.3.
>> > > 0&info=&info=Exec%20task%20failed%3A%20/usr/bin/hdiutil
>> > >
>> > >
>> > >
>> > >
>> > > --
>> > > Sent from: http://apache-flex-development.2333347.n4.nabble.com/
>> > >
>> >
>> >
>> >
>> > --
>> >
>> > Piotr Zarzycki
>> >
>> > Patreon: *https://www.patreon.com/piotrzarzycki
>> > <https://www.patreon.com/piotrzarzycki>*
>> >
>>
>
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Justin Mclean-5

Hi,

Some minor suggested changes:

> ----------- start draft announcement ---------
> The Apache Flex community is pleased to announce the release of Apache Flex
> SDK Installer 3.3.0
>
> Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> 2.2.

3.2 rather than 2.2 I think?

> This update provide fix for out of memory exception when user download
> Apache Flex SDK with Adobe Air greater than 23 on Windows platform.

Suggestion:
 “This update provides a fix for an out of memory exception when user downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on the Windows platform.”

> Known Issue:
> On Windows platform user need to uninstall previous version of installer,
> before install the newest one.

Suggestion:
“On the windows platform the user will need to uninstall the previous version of the installer before installing the newest version.”

Thanks,
Justin

Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Version with suggestion from Justin.

----------- start draft announcement ---------
The Apache Flex community is pleased to announce the release of Apache Flex
SDK Installer 3.3.0

Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
2.2.

This update provides a fix for an out of memory exception when user
downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
the Windows platform.

Known Issue:
On the windows platform the user will need to uninstall the previous
version of the installer before installing the newest version.

Apache Flex SDK Installer is available in source and executables form from
the following download page:
http://flex.apache.org/installer.html

When downloading from a mirror site, please remember to verify the
downloads using signatures or MD5 hashes.

For more information on Apache Flex, visit the project home page:
http://flex.apache.org

Thank you for using Apache Flex,
The Apache Flex Community

----------- end draft announcement ---------

Thanks, Piotr


2017-11-22 9:15 GMT+01:00 Justin Mclean <[hidden email]>:

>
> Hi,
>
> Some minor suggested changes:
>
> > ----------- start draft announcement ---------
> > The Apache Flex community is pleased to announce the release of Apache
> Flex
> > SDK Installer 3.3.0
> >
> > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> > 2.2.
>
> 3.2 rather than 2.2 I think?
>
> > This update provide fix for out of memory exception when user download
> > Apache Flex SDK with Adobe Air greater than 23 on Windows platform.
>
> Suggestion:
>  “This update provides a fix for an out of memory exception when user
> downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
> the Windows platform.”
>
> > Known Issue:
> > On Windows platform user need to uninstall previous version of installer,
> > before install the newest one.
>
> Suggestion:
> “On the windows platform the user will need to uninstall the previous
> version of the installer before installing the newest version.”
>
> Thanks,
> Justin
>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Maxim Solodovnik
Hello Piotr,

It is still 2.2 ......

On Wed, Nov 22, 2017 at 3:18 PM, Piotr Zarzycki <[hidden email]>
wrote:

> Version with suggestion from Justin.
>
> ----------- start draft announcement ---------
> The Apache Flex community is pleased to announce the release of Apache Flex
> SDK Installer 3.3.0
>
> Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> 2.2.
>
> This update provides a fix for an out of memory exception when user
> downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
> the Windows platform.
>
> Known Issue:
> On the windows platform the user will need to uninstall the previous
> version of the installer before installing the newest version.
>
> Apache Flex SDK Installer is available in source and executables form from
> the following download page:
> http://flex.apache.org/installer.html
>
> When downloading from a mirror site, please remember to verify the
> downloads using signatures or MD5 hashes.
>
> For more information on Apache Flex, visit the project home page:
> http://flex.apache.org
>
> Thank you for using Apache Flex,
> The Apache Flex Community
>
> ----------- end draft announcement ---------
>
> Thanks, Piotr
>
>
> 2017-11-22 9:15 GMT+01:00 Justin Mclean <[hidden email]>:
>
> >
> > Hi,
> >
> > Some minor suggested changes:
> >
> > > ----------- start draft announcement ---------
> > > The Apache Flex community is pleased to announce the release of Apache
> > Flex
> > > SDK Installer 3.3.0
> > >
> > > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> > > 2.2.
> >
> > 3.2 rather than 2.2 I think?
> >
> > > This update provide fix for out of memory exception when user download
> > > Apache Flex SDK with Adobe Air greater than 23 on Windows platform.
> >
> > Suggestion:
> >  “This update provides a fix for an out of memory exception when user
> > downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
> > the Windows platform.”
> >
> > > Known Issue:
> > > On Windows platform user need to uninstall previous version of
> installer,
> > > before install the newest one.
> >
> > Suggestion:
> > “On the windows platform the user will need to uninstall the previous
> > version of the installer before installing the newest version.”
> >
> > Thanks,
> > Justin
> >
> >
>
>
> --
>
> Piotr Zarzycki
>
> Patreon: *https://www.patreon.com/piotrzarzycki
> <https://www.patreon.com/piotrzarzycki>*
>



--
WBR
Maxim aka solomax
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Update with Maxim suggestion! :)

----------- start draft announcement ---------
The Apache Flex community is pleased to announce the release of Apache Flex
SDK Installer 3.3.0

Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer 3.2

This update provides a fix for an out of memory exception when user
downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
the Windows platform.

Known Issue:
On the windows platform the user will need to uninstall the previous
version of the installer before installing the newest version.

Apache Flex SDK Installer is available in source and executables form from
the following download page:
http://flex.apache.org/installer.html

When downloading from a mirror site, please remember to verify the
downloads using signatures or MD5 hashes.

For more information on Apache Flex, visit the project home page:
http://flex.apache.org

Thank you for using Apache Flex,
The Apache Flex Community

----------- end draft announcement ---------

Thanks, Piotr


2017-11-22 9:30 GMT+01:00 Maxim Solodovnik <[hidden email]>:

> Hello Piotr,
>
> It is still 2.2 ......
>
> On Wed, Nov 22, 2017 at 3:18 PM, Piotr Zarzycki <[hidden email]
> >
> wrote:
>
> > Version with suggestion from Justin.
> >
> > ----------- start draft announcement ---------
> > The Apache Flex community is pleased to announce the release of Apache
> Flex
> > SDK Installer 3.3.0
> >
> > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
> > 2.2.
> >
> > This update provides a fix for an out of memory exception when user
> > downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
> > the Windows platform.
> >
> > Known Issue:
> > On the windows platform the user will need to uninstall the previous
> > version of the installer before installing the newest version.
> >
> > Apache Flex SDK Installer is available in source and executables form
> from
> > the following download page:
> > http://flex.apache.org/installer.html
> >
> > When downloading from a mirror site, please remember to verify the
> > downloads using signatures or MD5 hashes.
> >
> > For more information on Apache Flex, visit the project home page:
> > http://flex.apache.org
> >
> > Thank you for using Apache Flex,
> > The Apache Flex Community
> >
> > ----------- end draft announcement ---------
> >
> > Thanks, Piotr
> >
> >
> > 2017-11-22 9:15 GMT+01:00 Justin Mclean <[hidden email]>:
> >
> > >
> > > Hi,
> > >
> > > Some minor suggested changes:
> > >
> > > > ----------- start draft announcement ---------
> > > > The Apache Flex community is pleased to announce the release of
> Apache
> > > Flex
> > > > SDK Installer 3.3.0
> > > >
> > > > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK
> Installer
> > > > 2.2.
> > >
> > > 3.2 rather than 2.2 I think?
> > >
> > > > This update provide fix for out of memory exception when user
> download
> > > > Apache Flex SDK with Adobe Air greater than 23 on Windows platform.
> > >
> > > Suggestion:
> > >  “This update provides a fix for an out of memory exception when user
> > > downloads the Apache Flex SDK with Adobe AIR versions greater than 23
> on
> > > the Windows platform.”
> > >
> > > > Known Issue:
> > > > On Windows platform user need to uninstall previous version of
> > installer,
> > > > before install the newest one.
> > >
> > > Suggestion:
> > > “On the windows platform the user will need to uninstall the previous
> > > version of the installer before installing the newest version.”
> > >
> > > Thanks,
> > > Justin
> > >
> > >
> >
> >
> > --
> >
> > Piotr Zarzycki
> >
> > Patreon: *https://www.patreon.com/piotrzarzycki
> > <https://www.patreon.com/piotrzarzycki>*
> >
>
>
>
> --
> WBR
> Maxim aka solomax
>



--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Alex Harui-2
Piotr,

I agree with Om that the 3.2 installer may not need to be uninstalled
before installing 3.3 on Windows.  In fact, I think that the 3.2 Installer
will offer an upgrade to 3.3 the next time it is run if we force the
upgrade via idk-installer-config-4.0.xml.  We did not do that in the past
because of some concerns about the new HTTP communications layer not
working for some folks with Proxys.

I would recommend that you verify before making the claim that all windows
users will have to uninstall 3.2.

Thanks,
-Alex

On 11/22/17, 12:35 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Update with Maxim suggestion! :)
>
>----------- start draft announcement ---------
>The Apache Flex community is pleased to announce the release of Apache
>Flex
>SDK Installer 3.3.0
>
>Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK Installer
>3.2
>
>This update provides a fix for an out of memory exception when user
>downloads the Apache Flex SDK with Adobe AIR versions greater than 23 on
>the Windows platform.
>
>Known Issue:
>On the windows platform the user will need to uninstall the previous
>version of the installer before installing the newest version.
>
>Apache Flex SDK Installer is available in source and executables form from
>the following download page:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apach
>e.org%2Finstaller.html&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083a%
>7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=G6ro
>cXnon27Z4eUFcibxrAdtKsLuva0TajaP70RHLwE%3D&reserved=0
>
>When downloading from a mirror site, please remember to verify the
>downloads using signatures or MD5 hashes.
>
>For more information on Apache Flex, visit the project home page:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apach
>e.org&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083a%7Cfa7b1b5a7b34438
>794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=P%2FusKZyh5mLX4qtTUdl
>PSed%2FrvHZzjyEPZnC%2BhiQEIA%3D&reserved=0
>
>Thank you for using Apache Flex,
>The Apache Flex Community
>
>----------- end draft announcement ---------
>
>Thanks, Piotr
>
>
>2017-11-22 9:30 GMT+01:00 Maxim Solodovnik <[hidden email]>:
>
>> Hello Piotr,
>>
>> It is still 2.2 ......
>>
>> On Wed, Nov 22, 2017 at 3:18 PM, Piotr Zarzycki
>><[hidden email]
>> >
>> wrote:
>>
>> > Version with suggestion from Justin.
>> >
>> > ----------- start draft announcement ---------
>> > The Apache Flex community is pleased to announce the release of Apache
>> Flex
>> > SDK Installer 3.3.0
>> >
>> > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK
>>Installer
>> > 2.2.
>> >
>> > This update provides a fix for an out of memory exception when user
>> > downloads the Apache Flex SDK with Adobe AIR versions greater than 23
>>on
>> > the Windows platform.
>> >
>> > Known Issue:
>> > On the windows platform the user will need to uninstall the previous
>> > version of the installer before installing the newest version.
>> >
>> > Apache Flex SDK Installer is available in source and executables form
>> from
>> > the following download page:
>> >
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apac
>>he.org%2Finstaller.html&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083
>>a%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=G
>>6rocXnon27Z4eUFcibxrAdtKsLuva0TajaP70RHLwE%3D&reserved=0
>> >
>> > When downloading from a mirror site, please remember to verify the
>> > downloads using signatures or MD5 hashes.
>> >
>> > For more information on Apache Flex, visit the project home page:
>> >
>>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fflex.apac
>>he.org&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083a%7Cfa7b1b5a7b344
>>38794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=P%2FusKZyh5mLX4qtT
>>UdlPSed%2FrvHZzjyEPZnC%2BhiQEIA%3D&reserved=0
>> >
>> > Thank you for using Apache Flex,
>> > The Apache Flex Community
>> >
>> > ----------- end draft announcement ---------
>> >
>> > Thanks, Piotr
>> >
>> >
>> > 2017-11-22 9:15 GMT+01:00 Justin Mclean <[hidden email]>:
>> >
>> > >
>> > > Hi,
>> > >
>> > > Some minor suggested changes:
>> > >
>> > > > ----------- start draft announcement ---------
>> > > > The Apache Flex community is pleased to announce the release of
>> Apache
>> > > Flex
>> > > > SDK Installer 3.3.0
>> > > >
>> > > > Apache Flex SDK Installer 3.3 is an update to Apache Flex SDK
>> Installer
>> > > > 2.2.
>> > >
>> > > 3.2 rather than 2.2 I think?
>> > >
>> > > > This update provide fix for out of memory exception when user
>> download
>> > > > Apache Flex SDK with Adobe Air greater than 23 on Windows
>>platform.
>> > >
>> > > Suggestion:
>> > >  “This update provides a fix for an out of memory exception when
>>user
>> > > downloads the Apache Flex SDK with Adobe AIR versions greater than
>>23
>> on
>> > > the Windows platform.”
>> > >
>> > > > Known Issue:
>> > > > On Windows platform user need to uninstall previous version of
>> > installer,
>> > > > before install the newest one.
>> > >
>> > > Suggestion:
>> > > “On the windows platform the user will need to uninstall the
>>previous
>> > > version of the installer before installing the newest version.”
>> > >
>> > > Thanks,
>> > > Justin
>> > >
>> > >
>> >
>> >
>> > --
>> >
>> > Piotr Zarzycki
>> >
>> > Patreon:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>reon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d5318408
>>3a%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=
>>QRU0Fl0%2FCoIr4fkWmGWXetsztKBZ4jyjkvQkiNc2hlE%3D&reserved=0
>> >
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>reon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d5318408
>>3a%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=
>>QRU0Fl0%2FCoIr4fkWmGWXetsztKBZ4jyjkvQkiNc2hlE%3D&reserved=0>*
>> >
>>
>>
>>
>> --
>> WBR
>> Maxim aka solomax
>>
>
>
>
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083a
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=QRU
>0Fl0%2FCoIr4fkWmGWXetsztKBZ4jyjkvQkiNc2hlE%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C90b0afb72cdc400bffaf08d53184083a
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469365507019639&sdata=QRU
>0Fl0%2FCoIr4fkWmGWXetsztKBZ4jyjkvQkiNc2hlE%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Hi Alex,

I tested it before and just tried again.

1) I have installed 3.2 version
2) Try install 3.3 version and got this error

<http://apache-flex-development.2333347.n4.nabble.com/file/t740/installer_error.png>

Piotr



-----
Patreon: https://www.patreon.com/piotrzarzycki
--
Sent from: http://apache-flex-development.2333347.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

OmPrakash Muppirala
On Nov 22, 2017 9:18 AM, "piotrz" <[hidden email]> wrote:

Hi Alex,

I tested it before and just tried again.

1) I have installed 3.2 version
2) Try install 3.3 version and got this error

<http://apache-flex-development.2333347.n4.nabble.
com/file/t740/installer_error.png>



Piotr




This happens if the new version is signed with a different certificate.
Piotr, where did you get the certificate from when you created the dmg and
exe files?

Thanks,
Om




-----
Patreon: https://www.patreon.com/piotrzarzycki
--
Sent from: http://apache-flex-development.2333347.n4.nabble.com/
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Alex Harui-2
In reply to this post by piotrz
Are you sure both your 3.2 and 3.3 versions were signed with the
certificates we sent you off-list?  I don't remember exactly how it works
but AIUI, if you install the Installer as built from a source package,
that build won't have the official certificates and you'll get that error
since the new and old versions will have different certificates.  But if
we correctly set the certificates, and they match, it should just work.

I'm not sure how to verify certificates.  Maybe Om remembers.  I'm
wondering if 3.2 didn't get the official certs.  The idea is that we can
force an upgrade and it shouldn't cause everyone to hit this error.

-Alex

On 11/22/17, 9:18 AM, "piotrz" <[hidden email]> wrote:

>Hi Alex,
>
>I tested it before and just tried again.
>
>1) I have installed 3.2 version
>2) Try install 3.3 version and got this error
>
><https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fl
>ex-development.2333347.n4.nabble.com%2Ffile%2Ft740%2Finstaller_error.png&d
>ata=02%7C01%7C%7C36137097e45e462a3b4108d531cd12be%7Cfa7b1b5a7b34438794aed2
>c178decee1%7C0%7C0%7C636469679213293147&sdata=ZX%2BpKFFCC%2BJjPx8xSOAmc0xb
>KjFaZbe4tU1XwwYFsDo%3D&reserved=0>
>
>Piotr
>
>
>
>-----
>Patreon:
>https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patre
>on.com%2Fpiotrzarzycki&data=02%7C01%7C%7C36137097e45e462a3b4108d531cd12be%
>7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469679213293147&sdata=VUQa
>q8jDr57NGQC9ZxJWIquDjqk%2FlA6EfgJaLcLvOCM%3D&reserved=0
>--
>Sent from:
>https://na01.safelinks.protection.outlook.com/?url=http%3A%2F%2Fapache-fle
>x-development.2333347.n4.nabble.com%2F&data=02%7C01%7C%7C36137097e45e462a3
>b4108d531cd12be%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C6364696792132
>93147&sdata=vSJrXaM7eCcPbLn37%2BETBDU7vrxGtqJxjH8ok3WDKL4%3D&reserved=0

Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

piotrz
Yes I've used your certificates which you have sent me. I did use following
variables in build.properties file to locate certs as instruction said in
RELEASE_GUIDE.

RELEASE_KEYSTORE_FILE=
CERT_PASSWORD_FILE=

Have you done this differently ?


2017-11-22 18:36 GMT+01:00 Alex Harui <[hidden email]>:

> Are you sure both your 3.2 and 3.3 versions were signed with the
> certificates we sent you off-list?  I don't remember exactly how it works
> but AIUI, if you install the Installer as built from a source package,
> that build won't have the official certificates and you'll get that error
> since the new and old versions will have different certificates.  But if
> we correctly set the certificates, and they match, it should just work.
>
> I'm not sure how to verify certificates.  Maybe Om remembers.  I'm
> wondering if 3.2 didn't get the official certs.  The idea is that we can
> force an upgrade and it shouldn't cause everyone to hit this error.
>
> -Alex
>
> On 11/22/17, 9:18 AM, "piotrz" <[hidden email]> wrote:
>
> >Hi Alex,
> >
> >I tested it before and just tried again.
> >
> >1) I have installed 3.2 version
> >2) Try install 3.3 version and got this error
> >
> ><https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fapache-fl
> >ex-development.2333347.n4.nabble.com%2Ffile%2Ft740%
> 2Finstaller_error.png&d
> >ata=02%7C01%7C%7C36137097e45e462a3b4108d531cd
> 12be%7Cfa7b1b5a7b34438794aed2
> >c178decee1%7C0%7C0%7C636469679213293147&sdata=ZX%
> 2BpKFFCC%2BJjPx8xSOAmc0xb
> >KjFaZbe4tU1XwwYFsDo%3D&reserved=0>
> >
> >Piotr
> >
> >
> >
> >-----
> >Patreon:
> >https://na01.safelinks.protection.outlook.com/?url=
> https%3A%2F%2Fwww.patre
> >on.com%2Fpiotrzarzycki&data=02%7C01%7C%7C36137097e45e462a3b4108d531cd
> 12be%
> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469679213293147&sdata=
> VUQa
> >q8jDr57NGQC9ZxJWIquDjqk%2FlA6EfgJaLcLvOCM%3D&reserved=0
> >--
> >Sent from:
> >https://na01.safelinks.protection.outlook.com/?url=
> http%3A%2F%2Fapache-fle
> >x-development.2333347.n4.nabble.com%2F&data=02%7C01%7C%
> 7C36137097e45e462a3
> >b4108d531cd12be%7Cfa7b1b5a7b34438794aed2c178de
> cee1%7C0%7C0%7C6364696792132
> >93147&sdata=vSJrXaM7eCcPbLn37%2BETBDU7vrxGtqJxjH8ok3WDKL4%3D&reserved=0
>
>


--

Piotr Zarzycki

Patreon: *https://www.patreon.com/piotrzarzycki
<https://www.patreon.com/piotrzarzycki>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Alex Harui-2
I followed those directions as well, but I wonder if one of us made a
mistake somewhere and we just didn't notice.  I'm not sure how to verify
what certificate was used.  Maybe Om knows.

-Alex

On 11/22/17, 9:43 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Yes I've used your certificates which you have sent me. I did use
>following
>variables in build.properties file to locate certs as instruction said in
>RELEASE_GUIDE.
>
>RELEASE_KEYSTORE_FILE=
>CERT_PASSWORD_FILE=
>
>Have you done this differently ?
>
>
>2017-11-22 18:36 GMT+01:00 Alex Harui <[hidden email]>:
>
>> Are you sure both your 3.2 and 3.3 versions were signed with the
>> certificates we sent you off-list?  I don't remember exactly how it
>>works
>> but AIUI, if you install the Installer as built from a source package,
>> that build won't have the official certificates and you'll get that
>>error
>> since the new and old versions will have different certificates.  But if
>> we correctly set the certificates, and they match, it should just work.
>>
>> I'm not sure how to verify certificates.  Maybe Om remembers.  I'm
>> wondering if 3.2 didn't get the official certs.  The idea is that we can
>> force an upgrade and it shouldn't cause everyone to hit this error.
>>
>> -Alex
>>
>> On 11/22/17, 9:18 AM, "piotrz" <[hidden email]> wrote:
>>
>> >Hi Alex,
>> >
>> >I tested it before and just tried again.
>> >
>> >1) I have installed 3.2 version
>> >2) Try install 3.3 version and got this error
>> >
>> ><https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fl
>> >ex-development.2333347.n4.nabble.com%2Ffile%2Ft740%
>> 2Finstaller_error.png&d
>> >ata=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>> 12be%7Cfa7b1b5a7b34438794aed2
>> >c178decee1%7C0%7C0%7C636469679213293147&sdata=ZX%
>> 2BpKFFCC%2BJjPx8xSOAmc0xb
>> >KjFaZbe4tU1XwwYFsDo%3D&reserved=0>
>> >
>> >Piotr
>> >
>> >
>> >
>> >-----
>> >Patreon:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fwww.patre
>> >on.com%2Fpiotrzarzycki&data=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>> 12be%
>> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469679213293147&sdata=
>> VUQa
>> >q8jDr57NGQC9ZxJWIquDjqk%2FlA6EfgJaLcLvOCM%3D&reserved=0
>> >--
>> >Sent from:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fle
>> >x-development.2333347.n4.nabble.com%2F&data=02%7C01%7C%
>> 7C36137097e45e462a3
>> >b4108d531cd12be%7Cfa7b1b5a7b34438794aed2c178de
>> cee1%7C0%7C0%7C6364696792132
>> >93147&sdata=vSJrXaM7eCcPbLn37%2BETBDU7vrxGtqJxjH8ok3WDKL4%3D&reserved=0
>>
>>
>
>
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd7
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uMX
>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd7
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uMX
>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0>*

Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

OmPrakash Muppirala
On Nov 22, 2017 9:54 AM, "Alex Harui" <[hidden email]> wrote:

I followed those directions as well, but I wonder if one of us made a
mistake somewhere and we just didn't notice.  I'm not sure how to verify
what certificate was used.  Maybe Om knows.




One way I can think of is to re create the binaries with the correct certs
and do a checksum comparison with  the RC binaries.

Is there a better way, perhaps?

Thanks,
Om





-Alex

On 11/22/17, 9:43 AM, "Piotr Zarzycki" <[hidden email]> wrote:

>Yes I've used your certificates which you have sent me. I did use
>following
>variables in build.properties file to locate certs as instruction said in
>RELEASE_GUIDE.
>
>RELEASE_KEYSTORE_FILE=
>CERT_PASSWORD_FILE=
>
>Have you done this differently ?
>
>
>2017-11-22 18:36 GMT+01:00 Alex Harui <[hidden email]>:
>
>> Are you sure both your 3.2 and 3.3 versions were signed with the
>> certificates we sent you off-list?  I don't remember exactly how it
>>works
>> but AIUI, if you install the Installer as built from a source package,
>> that build won't have the official certificates and you'll get that
>>error
>> since the new and old versions will have different certificates.  But if
>> we correctly set the certificates, and they match, it should just work.
>>
>> I'm not sure how to verify certificates.  Maybe Om remembers.  I'm
>> wondering if 3.2 didn't get the official certs.  The idea is that we can
>> force an upgrade and it shouldn't cause everyone to hit this error.
>>
>> -Alex
>>
>> On 11/22/17, 9:18 AM, "piotrz" <[hidden email]> wrote:
>>
>> >Hi Alex,
>> >
>> >I tested it before and just tried again.
>> >
>> >1) I have installed 3.2 version
>> >2) Try install 3.3 version and got this error
>> >
>> ><https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fl
>> >ex-development.2333347.n4.nabble.com%2Ffile%2Ft740%
>> 2Finstaller_error.png&d
>> >ata=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>> 12be%7Cfa7b1b5a7b34438794aed2
>> >c178decee1%7C0%7C0%7C636469679213293147&sdata=ZX%
>> 2BpKFFCC%2BJjPx8xSOAmc0xb
>> >KjFaZbe4tU1XwwYFsDo%3D&reserved=0>
>> >
>> >Piotr
>> >
>> >
>> >
>> >-----
>> >Patreon:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> https%3A%2F%2Fwww.patre
>> >on.com%2Fpiotrzarzycki&data=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>> 12be%
>> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469679213293147&sdata=
>> VUQa
>> >q8jDr57NGQC9ZxJWIquDjqk%2FlA6EfgJaLcLvOCM%3D&reserved=0
>> >--
>> >Sent from:
>> >https://na01.safelinks.protection.outlook.com/?url=
>> http%3A%2F%2Fapache-fle
>> >x-development.2333347.n4.nabble.com%2F&data=02%7C01%7C%
>> 7C36137097e45e462a3
>> >b4108d531cd12be%7Cfa7b1b5a7b34438794aed2c178de
>> cee1%7C0%7C0%7C6364696792132
>> >93147&sdata=vSJrXaM7eCcPbLn37%2BETBDU7vrxGtqJxjH8ok3WDKL4%3D&reserved=0
>>
>>
>
>
>--
>
>Piotr Zarzycki
>
>Patreon:
>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd7
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uMX
>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0
><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.patr
>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd7
>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uMX
>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0>*
Reply | Threaded
Open this post in threaded view
|

Re: [DRAFT] Apache Flex SDK Installer 3.3.0 Released

Alex Harui-2
In my experience, SWFs never recompile and match.  I think there is a
time-stamp in the SWF.

-Alex

On 11/22/17, 10:15 AM, "[hidden email] on behalf of OmPrakash
Muppirala" <[hidden email] on behalf of [hidden email]> wrote:

>On Nov 22, 2017 9:54 AM, "Alex Harui" <[hidden email]> wrote:
>
>I followed those directions as well, but I wonder if one of us made a
>mistake somewhere and we just didn't notice.  I'm not sure how to verify
>what certificate was used.  Maybe Om knows.
>
>
>
>
>One way I can think of is to re create the binaries with the correct certs
>and do a checksum comparison with  the RC binaries.
>
>Is there a better way, perhaps?
>
>Thanks,
>Om
>
>
>
>
>
>-Alex
>
>On 11/22/17, 9:43 AM, "Piotr Zarzycki" <[hidden email]> wrote:
>
>>Yes I've used your certificates which you have sent me. I did use
>>following
>>variables in build.properties file to locate certs as instruction said in
>>RELEASE_GUIDE.
>>
>>RELEASE_KEYSTORE_FILE=
>>CERT_PASSWORD_FILE=
>>
>>Have you done this differently ?
>>
>>
>>2017-11-22 18:36 GMT+01:00 Alex Harui <[hidden email]>:
>>
>>> Are you sure both your 3.2 and 3.3 versions were signed with the
>>> certificates we sent you off-list?  I don't remember exactly how it
>>>works
>>> but AIUI, if you install the Installer as built from a source package,
>>> that build won't have the official certificates and you'll get that
>>>error
>>> since the new and old versions will have different certificates.  But
>>>if
>>> we correctly set the certificates, and they match, it should just work.
>>>
>>> I'm not sure how to verify certificates.  Maybe Om remembers.  I'm
>>> wondering if 3.2 didn't get the official certs.  The idea is that we
>>>can
>>> force an upgrade and it shouldn't cause everyone to hit this error.
>>>
>>> -Alex
>>>
>>> On 11/22/17, 9:18 AM, "piotrz" <[hidden email]> wrote:
>>>
>>> >Hi Alex,
>>> >
>>> >I tested it before and just tried again.
>>> >
>>> >1) I have installed 3.2 version
>>> >2) Try install 3.3 version and got this error
>>> >
>>> ><https://na01.safelinks.protection.outlook.com/?url=
>>> http%3A%2F%2Fapache-fl
>>> >ex-development.2333347.n4.nabble.com%2Ffile%2Ft740%
>>> 2Finstaller_error.png&d
>>> >ata=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>>> 12be%7Cfa7b1b5a7b34438794aed2
>>> >c178decee1%7C0%7C0%7C636469679213293147&sdata=ZX%
>>> 2BpKFFCC%2BJjPx8xSOAmc0xb
>>> >KjFaZbe4tU1XwwYFsDo%3D&reserved=0>
>>> >
>>> >Piotr
>>> >
>>> >
>>> >
>>> >-----
>>> >Patreon:
>>> >https://na01.safelinks.protection.outlook.com/?url=
>>> https%3A%2F%2Fwww.patre
>>> >on.com%2Fpiotrzarzycki&data=02%7C01%7C%7C36137097e45e462a3b4108d531cd
>>> 12be%
>>> >7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469679213293147&sdata=
>>> VUQa
>>> >q8jDr57NGQC9ZxJWIquDjqk%2FlA6EfgJaLcLvOCM%3D&reserved=0
>>> >--
>>> >Sent from:
>>> >https://na01.safelinks.protection.outlook.com/?url=
>>> http%3A%2F%2Fapache-fle
>>> >x-development.2333347.n4.nabble.com%2F&data=02%7C01%7C%
>>> 7C36137097e45e462a3
>>> >b4108d531cd12be%7Cfa7b1b5a7b34438794aed2c178de
>>> cee1%7C0%7C0%7C6364696792132
>>>
>>>>93147&sdata=vSJrXaM7eCcPbLn37%2BETBDU7vrxGtqJxjH8ok3WDKL4%3D&reserved=0
>>>
>>>
>>
>>
>>--
>>
>>Piotr Zarzycki
>>
>>Patreon:
>>*https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd
>>7
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uM
>>X
>>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0
>><https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.pat
>>r
>>eon.com%2Fpiotrzarzycki&data=02%7C01%7C%7C4b0549556d174daa7fa808d531d07fd
>>7
>>%7Cfa7b1b5a7b34438794aed2c178decee1%7C0%7C0%7C636469693931131146&sdata=uM
>>X
>>Y1KZOgAzeMMJ3DyhvZESxY3gkTHuDuSFb%2FIOMznA%3D&reserved=0>*

12